From 80953dce0f7a5de74d020520770553899e7222f8 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Tue, 9 Aug 2022 20:51:23 +0200
Subject: [PATCH 1/2] gnu: Add emacs-blight

* gnu/packages/emacs-xyz.scm (emacs-blight): New variable.
---
 gnu/packages/emacs-xyz.scm | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 3c1d322db3..e74a78557a 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -49,7 +49,7 @@
 ;;; Copyright © 2019, 2020, 2021 Joseph LaFreniere <joseph@lafreniere.xyz>
 ;;; Copyright © 2019 Todor Kondić <tk.code@protonmail.com>15669
 ;;; Copyright © 2019 Amar Singh <nly@disroot.org>
-;;; Copyright © 2019 Baptiste Strazzulla <bstrazzull@hotmail.fr>
+;;; Copyright © 2019, 2022 Baptiste Strazzulla <bstrazzull@hotmail.fr>
 ;;; Copyright © 2019 Giacomo Leidi <goodoldpaul@autistici.org>
 ;;; Copyright © 2019 Jens Mølgaard <jens@zete.tk>
 ;;; Copyright © 2019, 2020 Amin Bandali <bandali@gnu.org>
@@ -4300,6 +4300,35 @@ (define-public emacs-s
 strings.")
     (license license:gpl3+)))
 
+(define-public emacs-blight
+  (let ((commit "6bf9c6192d")
+        (revision "0"))
+    (package
+      (name "emacs-blight")
+      (version (git-version "1.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://codeberg.org/emacs-weirdware/blight")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1x7s1fcva5kkl9iyb5grd6crf38rrz3zb0c6wb85khi9far10vgq"))))
+      (build-system emacs-build-system)
+      (home-page "https://codeberg.org/emacs-weirdware/blight")
+      (synopsis "Control display brightness")
+      (description
+       "@code{blight} allows you to control display brightness from Emacs.  It
+features object-oriented code using EIEIO, a base class implementing a
+reasonable API which focuses on the extremely basic \"set the back light to
+this percentage\" functionality instead of advanced tightly-coupled frippery,
+it includes a concrete implementation that uses SysFS to control brightness.
+Other systems (D-Bus, macOS, Windows, xbacklight, XELB using XRandR) are
+easily supportable, giving the same experience across environments.  It has a
+500% snappier name than any other backlight tool for Emacs.")
+      (license license:gpl3+))))
+
 (define-public emacs-symon
   (package
     (name "emacs-symon")
-- 
2.37.1

